Generate One Time Link

Generates a one-time access link based on the specified request parameters.

POST /v1/AcuCapture/GenerateOneTimeLink

Request body

optional (50)
NameTypeRequiredDescription
traceIdstringoptional
returnScanResultsSeparatelybooleanoptional
defaultButtonShowDelaySecsinteger / int32optional
linkExpirationTimeInSecsinteger / int32optional
stepsAcuCaptureStepsoptional
steps.documentFrontImageAcuCaptureBodyStepoptional
steps.documentFrontImage.isEnabledbooleanoptional
steps.documentFrontImage.skippablebooleanoptional
steps.documentFrontImage.buttonShowDelaySecsinteger / int32optional
steps.documentBackImageAcuCaptureBodyStepoptional
steps.documentBackImage.isEnabledbooleanoptional
steps.documentBackImage.skippablebooleanoptional
steps.documentBackImage.buttonShowDelaySecsinteger / int32optional
steps.selfieImageAcuCaptureBodyStepoptional
steps.selfieImage.isEnabledbooleanoptional
steps.selfieImage.skippablebooleanoptional
steps.selfieImage.buttonShowDelaySecsinteger / int32optional
processDocumentInputParamsProcessDocumentInputParamsoptional
processDocumentInputParams.dateFormatstringoptional
processDocumentInputParams.returnFieldsAoibooleanoptional
processDocumentInputParams.returnFieldValidationsbooleanoptional
processDocumentInputParams.returnFieldLabelsbooleanoptional
processDocumentInputParams.returnCalculatedFieldsbooleanoptional
processDocumentInputParams.returnFrontImagebooleanoptional
processDocumentInputParams.returnBackImagebooleanoptional
processDocumentInputParams.returnFaceImagebooleanoptional
processDocumentInputParams.returnSignatureImagebooleanoptional
processDocumentInputParams.returnGhostFaceImagebooleanoptional
processDocumentInputParams.returnFaceImageLocationbooleanoptional
processDocumentInputParams.returnFrontImageLocationbooleanoptional
processDocumentInputParams.returnGhostFaceImageLocationbooleanoptional
processDocumentInputParams.returnSignatureLocationbooleanoptional
processDocumentInputParams.fetchWebFieldsbooleanoptional
processDocumentInputParams.returnDocumentForensicAuthenticationsbooleanoptional
processDocumentInputParams.shouldFailExpiredDocumentsbooleanoptional
processDocumentInputParams.returnMatchBetweenPortraitAndGhostbooleanoptional
processDocumentInputParams.checkForSelfieLivenessbooleanoptional
processDocumentInputParams.performAddressValidationbooleanoptional
processDocumentInputParams.performPostalCodeValidationbooleanoptional
processDocumentInputParams.performIdentityVerificationbooleanoptional
processDocumentInputParams.performAAMVADriverLicenseVerificationbooleanoptional
processDocumentInputParams.performAgeVerificationbooleanoptional
processDocumentInputParams.performKnowledgeBasedAuthenticationbooleanoptional
processDocumentInputParams.performFullNameBreakdownbooleanoptional
processDocumentInputParams.ageLimitinteger / int32optional
processDocumentInputParams.checkForDocumentLivenessbooleanoptional
processDocumentInputParams.shouldHandleEmbeddedChipbooleanoptional
processDocumentInputParams.portraitReplacementThresholdScoreinteger / int32optional
processDocumentInputParams.screenCaptureThresholdScoreinteger / int32optional
processDocumentInputParams.paperPhotocopyThresholdScoreinteger / int32optional

Code sample language

curl -X POST "{{API.SANDBOX_BASE_URL}}/AcuCapture/GenerateOneTimeLink" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "traceId": "string",
  "returnScanResultsSeparately": false,
  "defaultButtonShowDelaySecs": -1,
  "linkExpirationTimeInSecs": 900,
  "steps": {
    "documentFrontImage": {
      "isEnabled": true,
      "skippable": false,
      "buttonShowDelaySecs": -1
    },
    "documentBackImage": {
      "isEnabled": true,
      "skippable": false,
      "buttonShowDelaySecs": -1
    },
    "selfieImage": {
      "isEnabled": true,
      "skippable": false,
      "buttonShowDelaySecs": -1
    }
  },
  "processDocumentInputParams": {
    "dateFormat": "yyyy-MM-dd",
    "returnFieldsAoi": true,
    "returnFieldValidations": true,
    "returnFieldLabels": true,
    "returnCalculatedFields": true,
    "returnFrontImage": true,
    "returnBackImage": true,
    "returnFaceImage": true,
    "returnSignatureImage": true,
    "returnGhostFaceImage": true,
    "returnFaceImageLocation": true,
    "returnFrontImageLocation": true,
    "returnGhostFaceImageLocation": false,
    "returnSignatureLocation": false,
    "fetchWebFields": false,
    "returnDocumentForensicAuthentications": false,
    "shouldFailExpiredDocuments": true,
    "returnMatchBetweenPortraitAndGhost": false,
    "checkForSelfieLiveness": false,
    "performAddressValidation": false,
    "performPostalCodeValidation": false,
    "performIdentityVerification": false,
    "performAAMVADriverLicenseVerification": false,
    "performAgeVerification": false,
    "performKnowledgeBasedAuthentication": false,
    "performFullNameBreakdown": false,
    "ageLimit": 0,
    "checkForDocumentLiveness": false,
    "shouldHandleEmbeddedChip": false,
    "portraitReplacementThresholdScore": 0,
    "screenCaptureThresholdScore": 0,
    "paperPhotocopyThresholdScore": 0
  }
}'

Responses

200OK